curl --request GET \
--url https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"input": {
"country": "France",
"year": 2023
},
"metadata": {
"my_key": "my_value"
},
"processor": "core",
"task_spec": {
"input_schema": {
"json_schema": {
"additionalProperties": false,
"properties": {
"country": {
"type": "string"
},
"year": {
"type": "integer"
}
},
"required": [
"country",
"year"
],
"type": "object"
},
"type": "json"
},
"output_schema": {
"json_schema": {
"additionalProperties": false,
"properties": {
"gdp": {
"description": "GDP in USD for the year, formatted like '$3.1 trillion (2023)'",
"type": "string"
}
},
"required": [
"gdp"
],
"type": "object"
},
"type": "json"
}
}
}Retrieve Task Run Input
curl --request GET \
--url https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"input": {
"country": "France",
"year": 2023
},
"metadata": {
"my_key": "my_value"
},
"processor": "core",
"task_spec": {
"input_schema": {
"json_schema": {
"additionalProperties": false,
"properties": {
"country": {
"type": "string"
},
"year": {
"type": "integer"
}
},
"required": [
"country",
"year"
],
"type": "object"
},
"type": "json"
},
"output_schema": {
"json_schema": {
"additionalProperties": false,
"properties": {
"gdp": {
"description": "GDP in USD for the year, formatted like '$3.1 trillion (2023)'",
"type": "string"
}
},
"required": [
"gdp"
],
"type": "object"
},
"type": "json"
}
}
}Request contract
- Method and path: GET /apis/v1/parallel/tasks/runs/{run_id}/input
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/parallel/tasks/runs/{run_id}/input
- run_id: path; required
- Runtime facts: 5d413ff65ac53e696e28c5a12c4dbbb99e94b7667cbafba2e2c6b9da9156a731
{
"operationId": "any_parallel_ai_apis_v1_parallel_tasks_runs_run_id_input",
"method": "GET",
"path": "/apis/v1/parallel/tasks/runs/{run_id}/input",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"in": "path",
"name": "run_id",
"required": true,
"schema": {
"title": "Run Id",
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "explicit_zero",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 0.012,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.012 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.012
- Cost contract: explicit_zero
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Request to run a task.
Input to the task, either text or a JSON object.
"What was the GDP of France in 2023?"
Processor to use for the task.
"base"
Advanced search configuration for the task run.
Show child attributes
Show child attributes
Controls tracking of task run execution progress. When set to true, progress events are recorded and can be accessed via the Task Run events endpoint. When false, no progress events are tracked. Note that progress tracking cannot be enabled after a run has been created. The flag is set to true by default for premium processors (pro and above).
Optional list of MCP servers to use for the run.
Show child attributes
Show child attributes
User-provided key identifying the memory scope to use. Omit to use personal memory, if available.
1 - 128^[a-zA-Z0-9_-]+$User-provided metadata stored with the run. Keys and values must be strings with a maximum length of 16 and 512 characters respectively.
Show child attributes
Show child attributes
Interaction ID to use as context for this request.
Optional source policy governing included and excluded domains and domain/path prefixes in web search results.
Show child attributes
Show child attributes
Task specification. If unspecified, defaults to auto output schema.
Show child attributes
Show child attributes
Callback URL (webhook endpoint) that will receive an HTTP POST when the run completes. This feature is not available via the Python SDK.
Show child attributes
Show child attributes